*, *:before, *:after {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}
.contents {
	min-height: 100vh;
	margin: auto;
	padding: 1em 0 10em 0;
	background: rgb(236, 240, 241);
}
footer #button {
	position: relative;
	width: 10em;
	height: 2em;
	margin: 0 auto;
	padding: 0.2em;
	cursor: pointer;
	-webkit-transition: all 1s ease;
	        transition: all 1s ease;
	text-align: center;
	color: #ffffff;
	border-radius: 3px 3px 0px 0px;
	background: #e50112;
}
footer #button:hover {
	position: relative;
	width: 10em;
	height: 2em;
	-webkit-transition: all 1s ease;
	        transition: all 1s ease;
}
footer {
	position: fixed;
	z-index: 999;
	bottom: 0;
	left: 0;
	overflow: hidden;
	width: 100%;
	height: 1.5em;
	margin: 0 auto;
	-webkit-transition: all 1s ease;
	        transition: all 1s ease;
}
footer:hover {
	height: 10em;
	-webkit-transition: all 1s ease;
	        transition: all 1s ease;
}
footer #container {
	position: relative;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background:#e50112 ;
}
footer #cont {
	margin: 0 auto;
	padding: 1em;
	color: #e50112;
}
footer .copyright {
	float: left;
	width: 50%;
}
footer .copyright p {
	font-size: 0.7em;
	line-height: 2em;
	padding-left: 10%;
	letter-spacing: 1px;
	color: #ffffff;
}
footer .sns {
	float: right;
	width: 50%;
}
footer .sns a {
	font-weight: bold;
	line-height: 2em;
	width: 2em;
	margin: auto 0.1em;
	float: right;
	-webkit-transition: all, 0.3s;
	        transition: all, 0.3s;
	text-align: center;
	text-decoration: none;
	color: #ffffff;
	border-radius: 4px;
	background-color: #00acc1;
}
footer .sns a:hover {
	-webkit-transition: all, 0.3s;
	        transition: all, 0.3s;
	background-color: #222222;
}
footer .sns .insta {
	background-color: #e4405f;
}
footer .sns .fb {
	background-color: #3b5999;
}
footer .sns .tw {
	background-color: #55acee;
}